/*
 * Copyright (c) 2023 Millitronic.
 * All rights reserved.
 * Permission to use this software as a part of Millitronic solution only is
 * granted.
 *
 */
#pragma once
#include <windows.h>
#include <stdio.h>

#include "CANIOControl.h"

#define DEBUG_MSG

class FitCANBus
{
public:
	FitCANBus(char* sComPortNumber);
	~FitCANBus();
	long init(int baudrate);
	long startReading(int num, DWORD* patterns, DWORD* masks);
	long FintekCanbus_SetId(DWORD id, FITAPI::CFitekCanBusControl::CanFrameFormat type);
	long writeMessage(FITAPI::CFitekCanBusControl::CanFrameInfor* msg);
private:
	char asComPortNumber[8];
	FITAPI::CFitekCanBusControl* hCan;
	FITAPI::CFitekCanBusControl::CanFrameFormat txType;
	DWORD txCanId;
};
